Bug 498073 - Review Request: python-ekg - Community Health Reporter
Review Request: python-ekg - Community Health Reporter
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-04-28 14:58 EDT by Yaakov Nemoy
Modified: 2013-01-10 16:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-10 16:27:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yaakov Nemoy 2009-04-28 14:58:00 EDT
Spec URL: http://ynemoy.fedorapeople.org/review/python-ekg.spec
SRPM URL: http://ynemoy.fedorapeople.org/review/python-ekg-0.3.0-1.fc10.src.rpm
Description: EKG is a community health scanner. Currently this targets mailing list archives, in the future, we may also pay closer attention to code contributions and other details. 

Note: We are in discussion what the name should be. There is a definite python library component. The big question is the scripts that come with this package, should they also be considered 'python-fedora', or would we be better off with a subpackage.
Comment 1 Luke Macken 2009-04-28 20:00:33 EDT
I am unable to get this package working in F10 with spython-sqlalchemy-0.4.8-1.fc10

Traceback (most recent call last):
  File "/usr/bin/ekg-scan", line 16, in <module>
    import ekg.model
  File "/usr/lib/python2.5/site-packages/ekg/model.py", line 112, in <module>
    Base = declarative_base(metadata=metadata, cls=SqlBase, metaclass=MetaSqlBase)
TypeError: declarative_base() got an unexpected keyword argument 'cls'
Comment 2 Yaakov Nemoy 2009-04-29 13:08:24 EDT
I should do a better job packaging. This needs SA 0.5. Stay tuned for an updated package in the next couple of days.
Comment 3 Yaakov Nemoy 2009-04-29 18:07:03 EDT
Spec URL: http://ynemoy.fedorapeople.org/review/python-ekg.spec
SRPM URL: http://ynemoy.fedorapeople.org/review/python-ekg-0.3.1-1.fc10.src.rpm

Since i upgraded to setuptools along with fixing the dependencies, i decided this needed a new upstream release. Anyways, that should force the issue. If you need a 0.5.x SA package in F10, you should pull the SRPM from koji and rebuild it, because just installing from rawhide will try to pull the new python and everything else in too.
Comment 4 Yaakov Nemoy 2009-05-17 15:19:23 EDT
BTW, to anyone declaring intent to review, there is a new version upstream, ping here to let me know to upload the latest upstream.
Comment 5 Jeroen van Meeuwen 2009-05-18 14:22:40 EDT
- the description is "too long": make it a little paragraph if you will

- mixed use of spaces and tabs in .spec

- the Source0 should be a complete URL
Comment 6 Jeroen van Meeuwen 2009-05-20 09:43:37 EDT
Friendly ping to Yaakov ;-)
Comment 9 Jeroen van Meeuwen 2009-07-05 08:06:16 EDT
Minor error:

$ rpmlint /home/jmeeuwen/rpmbuild/RPMS/noarch/python-ekg-0.4.3-2.fc11.noarch.rpm
python-ekg.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ekg/migration/manage.py 0644
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

Suggest to remove the shebang from that file if possible.
Comment 10 Jason Tibbitts 2009-07-09 12:36:46 EDT
Setting the fedora-review flag as it seems to have been overlooked.
Comment 11 Max Spevack 2009-11-07 21:09:15 EST
Seeing as this particular code -- python-ekg -- is not being actively worked on, I just wanted those reading this bug to realize that this package review, and our desire to get this code packaged into Fedora's repositories, is not urgent right now.

If at some point we have more resources, or folks interested in python-ekg, perhaps we'll ressurect this package review.  For the time being, the EKG project is trying to proceed in a different direction.
Comment 12 Jason Tibbitts 2009-11-07 21:23:10 EST
Max, are you suggesting that this review ticket should be closed out?  I suppose you could leave it open if neither Jeroen nor Yaakov mind, but it sounds like there's not much point in proceeding at this point.
Comment 13 Jeroen van Meeuwen 2009-11-08 14:20:35 EST
It's up to Yaakov and Max ;-)
Comment 14 Max Spevack 2009-11-08 22:26:34 EST
The only reason I commented here yesterday anyway was for the sake of cleanliness, and in that same spirit, I think this review request can be closed, and re-opened or a new one created if necessary at a future point.
Comment 15 Karsten Wade 2011-12-13 22:47:22 EST
Removing myself for these bug components as I'm either no longer involved in that aspect of the project, or no longer care to watch this particular bug. Sorry if you are caught in a maelstrom of bug changes as a result!
Comment 16 François Cami 2013-01-10 16:27:48 EST
Stalled review, SPEC and SRPM are not accessible anymore. Closing.

Note You need to log in before you can comment on or make changes to this bug.